=== modified file 'lib/lp/registry/javascript/tests/test_distroseries.js'
--- lib/lp/registry/javascript/tests/test_distroseries.js	2011-06-10 14:36:20 +0000
+++ lib/lp/registry/javascript/tests/test_distroseries.js	2011-06-20 18:44:35 +0000
@@ -261,6 +261,8 @@
         },
 
         testChoiceWithRadio: function() {
+            // When both radio buttons are checked (this is possible in some
+            // broken DOMs/JS engined), choice is undefined.
             this.widget
                 .set("type", "radio")
                 .set("choices", ["a", "b"]);
@@ -268,11 +270,18 @@
             this.widget.fieldNode.one("input[value=a]")
                 .set("checked", "checked");
             Assert.areEqual("a", this.widget.get("choice"));
-            /* When both radio buttons are checked (should that be
-               possible?), choice is undefined. */
             this.widget.fieldNode.one("input[value=b]")
                 .set("checked", "checked");
-            Assert.isUndefined(this.widget.get("choice"));
+            if (this.widget.fieldNode.one("input[value=a]").get("checked")) {
+                // This assertion can only be made if the DOM/JS is broken
+                // in the host browser.
+                Assert.isUndefined(this.widget.get("choice"));
+            }
+            else {
+                // The host browser's DOM/JS is sane.
+                ArrayAssert.itemsAreEqual(
+                    ["b"], this.widget.get("choice"));
+            }
         },
 
         testSetChoiceWithCheckBox: function() {

=== modified file 'lib/lp/testing/__init__.py'
--- lib/lp/testing/__init__.py	2011-06-20 19:01:22 +0000
+++ lib/lp/testing/__init__.py	2011-06-21 14:04:50 +0000
@@ -940,12 +940,7 @@
         super(YUIUnitTestCase, self).setUp()
         # html5browser imports from the gir/pygtk stack which causes
         # twisted tests to break because of gtk's initialize.
-        try:
-            import html5browser
-            # Hush lint.
-            html5browser
-        except ImportError:
-            html5browser = None
+        import html5browser
         client = html5browser.Browser()
         html_uri = 'file://%s' % os.path.join(
             config.root, 'lib', self.test_path)

